{% extends "template.html" %} {% block title %} ARCADE RETURNS - SUBJECT {% endblock %} {% block content %} {% load static %}
<br>
<table class="table">
    <caption>Lista de contactos</caption>
    <thead class="thead-dark">        
        <tr>
            <th scope="col">#</th>
            <th scope="col">NOMBRES</th>
            <th scope="col">APELLIDO PATERNO</th>
            <th scope="col">APELLIDO MATERNO</th>
            <th scope="col">EMAIL</th>
            <th scope="col">TELEFONO</th>
            <th scope="col">MODELO DE MAQUINA Y TIPO DE DESPACHO</th>
            <th scope="col"></th>
        </tr>
    </thead>
    <tbody>
        {% if datosContacto %} {% for dato in datosContacto %}
        <tr>
            <th>{{dato.id}}</th>
            <td>{{dato.nombres}}</td>
            <td>{{dato.apellido_paterno}}</td>
            <td>{{dato.apellido_materno}}</td>
            <td>{{dato.email}}</td>
            <td>{{dato.telefono}}</td>
            <td>{{dato.asunto}}</td>
            <td>
                <button type="button" class="btn btn-primary" id="btn-edit-{{dato.id}}" onclick="editar_contacto({{dato.id}})">Editar</button>
                <button type="button" class="btn btn-danger" id="btn-delete-{{dato.id}}" data-toggle="modal" data-target="#modal-{{dato.id}}-delete">Eliminar</button>
                <div class="modal" id="modal-{{dato.id}}-delete">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h4 class="modal-title">Eliminar asunto</h4>
                                <button type="button" class="close" data-dismiss="modal">&times;</button>
                            </div>
                            <div class="modal-body">
                                <p>Al seleccionar esta opción se eliminara el asunto seleccionado. ¿Desea eliminar el registro?
                                </p>
                                <button type="button" class="btn btn-primary" onclick="eliminar_contacto({{dato.id}})">Ok</button>
                                <button type="button" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
                            </div>
                        </div>
                    </div>
                </div>
            </td>
        </tr>
        {% endfor %}{% endif %}
    </tbody>
</table>
<script src="{% static 'js/validate/subject-validate.js' %}"></script>
{% endblock %}